/**-------------------Styles for configuration panel --------------------**/


/*start filter*/

@import url("./list.css");

.jimu-widget-nearme-filter-setting .collapse-option .collapse-tip{
  margin-left: 5px;
}

.jimu-rtl .jimu-widget-nearme-filter-setting .collapse-option .collapse-tip{
  margin-left: 0;
  margin-right: 5px;
}

html.hr .jimu-widget-nearme-filter-setting.items-list{
  width: 280px;
}

html.hr .jimu-widget-nearme-filter-setting > .content > .separator{
  left: 295px;
}

html.hr .jimu-widget-nearme-filter-setting .single-setting-content{
  width: 650px;
}

.jimu-widget-nearme-filter-setting .esriCTFilterMsg{
    padding: 6px 0;
    font-size: 12px;
    color: #a0acbf;
    font-style: oblique;
}

.jimu-widget-nearme-filter-setting > table{
  width: 100%;
  table-layout: fixed;
  border-collapse: collapse;
}

.jimu-widget-nearme-filter-setting > table > tbody > tr > td{
  padding: 5px 0;
}

.jimu-widget-nearme-filter-setting .click-picker{
  display: inline-block;
  border: 1px solid #D7D7D7;
  height: 24px;
  overflow: hidden;
  padding: 0 4px;
  cursor: pointer;
}

.jimu-widget-nearme-filter-setting .click-picker .jimu-image-chooser{
  position: relative;
  top: 4px;
}

.jimu-widget-nearme-filter-setting .click-picker .separator{
  position: relative;
  top: 4px;
  width: 1px;
  height: 16px;
  background-color: #D7D7D7;
  margin: 0 5px;
}

.jimu-widget-nearme-filter-setting .click-picker .jimu-icon{
  position: relative;
  top: 8px;
}

.jimu-widget-nearme-filter-setting .single-setting-content .no-task-tip{
  position: relative;
  top: 50%;
  margin-top: -10px;
}

.jimu-widget-nearme-filter-setting .single-setting-content .no-task-tip span{
  font-weight: bold;
}

.jimu-widget-nearme-filter-setting .jimu-image-chooser .hint .display-image{
  width: 100% !important;
  height: 100% !important;
}

.jimu-widget-nearme-filter-setting .esriCTFilterLabel{
    font-size: 14px;
    color: #596679;
}
.jimu-widget-nearme-filter-setting .esriCTLabelMargin{
    margin-bottom: 5px;
}

.jimu-widget-nearme-filter-setting .esriCTTabsNode{
    margin-top: 20px;
}
.jimu-widget-nearme-filter-setting .esriCTFilterOptionsNode{
    margin-top: 20px;
}
/*end filter*/

.jimu-widget-nearme-setting .esriCTMainContainer
{
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.jimu-widget-nearme-setting .esriCTlabel
{
    width: 25%;
    padding: 5px 10px 5px 0;
    word-break: break-word;
    margin-top: 5px;
    margin-bottom: 5px;
    float: left;
    min-width: 250px;
    font-size: 14px;
    color: #596679;
}

.jimu-widget-nearme-setting .esriCTColorPickerNode
{
    float: left;
    margin: 0 10px 0 0;
}

.jimu-widget-nearme-setting .esriCTHintInline
{
    line-height: 30px;
}

.jimu-widget-nearme-setting .esriCTHintLeftMargin
{
    margin-left: 10px;
}

.jimu-widget-nearme-setting .esriCTDirectionTabNode .esriCTHintInline
{
    margin-top: 2px;
}

.jimu-widget-nearme-setting .esriCTDirectionTabNode .esriCTHintInlineEnableDirection
{
    width: 90%;
    margin: 13px 0;
}

.jimu-widget-nearme-setting .row
{
    clear: both;
}

.jimu-widget-nearme-setting .esriCTFullHeight
{
    height: 100%;
}

.jimu-widget-nearme-setting .esriCTFullWidth
{
    width: 100%;
}

.jimu-widget-nearme-setting .jimu-viewstack
{
    height: calc(100% - 40px);
    overflow: auto;
}


.jimu-widget-nearme-setting .esriCTWidgetOpenLabel
{
    margin-top: 20px;
}

/* Remove close button from textbox in IE */
input[type=text]::-ms-clear
{
    display: none;
}

/**-----------------------Styles for Layer selector-----------------------**/

.jimu-widget-nearme-setting .esriCTSelectedLayersDiv
{
    height: 50px;
    overflow: auto;
    width: 88%;
    float: left;
    border: 1px solid #d2dae2;
    background: #e3ecf2;
    margin: 0 10px 0 0px;
}

.jimu-widget-nearme-setting .esriCTAddLayerButton
{
    float: right;
    margin-top: 9px;
    max-width: 70px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    padding: 0px;
}

.jimu-widget-nearme-setting .esriCTLayerSelectorNode
{
    max-height: 200px;
    overflow: auto;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.jimu-widget-nearme-setting .esriCTLayerSelectorNode .jimu-basic-layer-chooser-from-map .jimu-tree
{
    position: relative !important;
}

.jimu-widget-nearme-setting .esriCTLayerListItem
{
    height: 24px;
    color: #7989a0;
    padding: 0px 5px;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    line-height: 22px;
    font-size: 14px;
}

.jimu-widget-nearme-setting .esriCTGeometryTypeIcon
{
    height: 16px;
    width: 16px;
    background-repeat: no-repeat;
    margin: 6px 2px 0px 10px;
    float: left;
}

.jimu-widget-nearme-setting .esriCTCheckBox
{
    float: left;
    height: 20px;
    width: 20px;
    margin-top: 10px;
    margin-right: 10px;
}

.jimu-widget-nearme-setting .esriCTCheckOptionLabel
{
    font-size: 14px;
    color: #596679;
}


/**------------------End of styles for Layer selector---------------------**/

.jimu-widget-nearme-setting .esriCTLayerContainer
{
    width: 100%;
    float: left;
}

.jimu-widget-nearme-setting .esriCTLayerField
{
    width: 73%;
    float: left;
}

.jimu-widget-nearme-setting .esriCTHint
{
    margin: 5px 0 10px 0;
    float: left;
    font-size: 12px;
    color: #a0acbf;
    font-style: oblique;
}

.jimu-widget-nearme-setting .esriCTCheckboxHint
{
    width: 100%;
    margin: 0px 0px 10px 0px;
}

.jimu-widget-nearme-setting .esriCTFontColorLabelHint
{
    width: calc(100% - 50px);
}

.jimu-widget-nearme-setting .esriCTSetRouteURL
{
    width: 100%;
}

/**----------------------Styles for network service chooser----------------------**/

.jimu-widget-nearme-setting .esriCTHidden
{
    display: none;
}

.jimu-widget-nearme-setting .buttonsDiv .jimu-popup .button-container
{
    padding: 0px;
}

.jimu-widget-nearme-setting .esriCTFloatLeading
{
    margin-right: 10px;
}

.jimu-widget-nearme-setting .esriCTServiceUrlDiv
{
    float: left;
    width: 100%;
}

.jimu-widget-nearme-setting .esriCTRouteLayersDiv
{
    float: left;
    width: 100%;
}
.jimu-widget-nearme-setting .esriCTItemSelectDiv
{
    margin-top: 10px;
    float: left;
    height: 450px;
    width: 100%;
}

.jimu-widget-nearme-setting .esriCTExampleUrl
{
    float: left;
    width: 100%;
}

.jimu-widget-nearme-setting .esriCTRouteListDiv
{
    margin-top: 10px;
    float: left;
    width: 100%;
    height: 360px;
    overflow: auto;
    border: 1px solid #ccc;
}

.jimu-widget-nearme-setting .esriCTAgolRouteListDiv
{
    margin-top: 10px;
    float: left;
    width: 100%;
    height: 450px;
    overflow: auto;
    border: 1px solid #ccc;
}

.jimu-widget-nearme-setting .esriCTSearchRadio
{
    float: left;
    width: 100%;
}

.jimu-widget-nearme-setting .serviceUrlContainer
{
    float: left;
    width: 100%;
    margin-top: 10px;
}

.jimu-widget-nearme-setting .esriCTServiceLable
{
    float: left;
    width: 100px;
    line-height: 30px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.jimu-widget-nearme-setting .esriCTServiceField
{
    width: 85%;
    float: left;
}

.jimu-widget-nearme-setting .esriCTSetServiceURL
{
    float: left;
    width: 85%;
}

.jimu-widget-nearme-setting .urlButton
{
    line-height: 30px;
    max-width: 80px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

/*--------------override tree CSS starts here--------------*/
.claro .dijitTreeRowFocused
{
    background-repeat: repeat;
}
/*---------- expando (open/closed) icon--------------- */
.claro .dijitTreeExpando
{
    background-position: -93px -10px;
    display: none; /* for dijitTreeExpandoOpened */
}

.claro .dijitTreeExpando: :first-child
{
    display: block;
    background-position: -35px 0;
}

/**-----------------End of Styles for network service chooser--------------------**/

/*----------------styles for symbol chooser node-----------------------*/

.jimu-widget-nearme-setting .esriCTSymbolChooserNode
{
    text-align: center;
    cursor: pointer;
    min-width: 80px;
}

.jimu-widget-nearme-setting .esriCTSymbolPreviewText
{
    font-size: 14px;
    color: #596679;
    padding-right: 5px;
    max-width: 130px;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
}

.jimu-widget-nearme-setting .esriCTPreviewField
{
    width: 25%;
    float: left;
}

.jimu-widget-nearme-setting .esriCTPreviewHintField
{
    width: 70%;
    line-height: 30px;
    margin-left: 10px;
}

.jimu-widget-nearme-setting .esriCTAddressLocationSymbolPreviewHint
{
    width: 60%;
    float: right;
}

.jimu-widget-nearme-setting .esriCTSymbolPreviewHintField
{
    width: 50%;
    line-height: 20px;
    margin-left: 5px;
    float: right;
}

.jimu-widget-nearme-setting .esriCTSymbolPreviewField
{
    width: 35%;
    min-width: 250px;
    float: left;
}

.claro .dijitTextBox, .claro .dijitSelect
{
    color: #7989a0;
    background-color: #fafafc;
    border: 1px solid #d2dae2;
}

.dj_webkit .claro .dijitTextBox .dijitInputInner
{
    color: #7989a0;
}

.claro .dijitSelectDisabled, .claro .dijitTextBoxDisabled, .claro .dijitTextBoxDisabled .dijitInputContainer
{
    background-color: #e3ecf2;
}

.jimu-widget-nearme-setting .esriCTDirectionTabNode .dijitTextBox
{
    width: 88% !important;
    float: left;
}
.claro .dijitSelect .dijitArrowButton
{
    background-color: #fafafc;
    background-image: none;
    border-color: #fafafc;
}

.jimu-widget-nearme-setting .dijitSelect .dijitButtonContents
{
    border-style: none none none none;
    background-color: #fafafc;
}

.jimu-widget-nearme-setting .dijitTreeLabel
{
    font-size: 14px;
    color: #596679;
}

.dijitInline.dijitIcon.dijitTreeIcon.dijitLeaf
{
    margin-left: 2px;
}

.claro .dijitSelect .dijitInputField
{
    font-size: 14px;
    margin-right: 8px;
}

.jimu-widget-nearme-setting .esriCTURLSetButton
{
    line-height: 30px;
    margin: 0 0 0 10px;
    float: right;
    max-width: 70px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    padding: 0;
}

.jimu-widget-nearme-setting .esriCTSearchTabNode, .jimu-widget-nearme-setting .esriCTDirectionTabNode,
 .jimu-widget-nearme-setting .esriCTSymbologyTabNode
{
    margin-top: 20px;
    height: calc(100% - 20px);
}

.jimu-widget-nearme-setting .esriCTSymbolChooserContainer
{
    height: calc(100% - 50px);
    overflow: auto;
}
/*----------------End of styles for symbol chooser node-----------------------*/


/*------------------Rich text box----------------------*/


.jimu-widget-nearme-setting .edit-description-box {
    width: 99%;
    height: 230px;
    margin-bottom: 10px;
    position: relative;
    padding-top: 5px;
}

/*------------------------Search Source-----------------------------------------*/
.jimu-widget-nearme-setting .esriCTDropdownButton
{
  margin: 8px 0;
  display: inline-block;
  position: relative;
  padding-left: 16px;
  color: #518dca;
  background: url(../images/add_icon.png) no-repeat left;
  cursor: pointer;
}

.jimu-widget-nearme-setting .esriCTDropdownButton .esriCTDropdownMenu
{
  position: absolute;
  display: none;
  list-style-type: none;
  top: 18px;
  left: 0;
  margin: 0;
  padding: 0;
  background: #fafafa;
  color: #7989a0;
  z-index: 999;
}

.jimu-rtl .jimu-widget-nearme-setting .esriCTDropdownButton .esriCTDropdownMenu
{
  right: 0;
  left: auto;
}

.jimu-widget-nearme-setting .esriCTDropdownButton:hover .esriCTDropdownMenu
{
  display: inline-block;
}

.jimu-widget-nearme-setting .esriCTDropdownMenu .esriCTDropdownItem
{
  white-space: nowrap;
  height: 30px;
  padding: 0 25px;
  line-height: 30px;
}

.jimu-widget-nearme-setting .esriCTDropdownMenu .esriCTDropdownItem:hover
{
  background: #edf2f5;
  color: #15a4fa;
}

.jimu-widget-nearme-setting .esriCTSources
{
  height: 366px;
}
.jimu-widget-nearme-setting .esriCTSourcesExtraHeight
{
  height: 516px !important;
}

.jimu-widget-nearme-setting .esriCTSourceList
{
  width: 270px;
  height: 100%;
}

.jimu-widget-nearme-setting .esriCTSourceSetting
{
  width: 660px;
  position: relative;
}

.jimu-widget-nearme-setting .source-table,
.jimu-widget-nearme-setting .general-setting-table
{
  width: 100%;
}

.jimu-widget-nearme-setting  .jimu-simple-table .simple-table-field, .jimu-simple-table .simple-table-cell
{
    cursor: pointer;
}
.jimu-widget-nearme-setting .esriCTSearchSourceLayerField
{
    width: 70%;
}
.jimu-widget-nearme-setting .esriCTSearchSourceLabel
{
    width: 25%;
    min-width: 182px;
}

.jimu-widget-nearme-setting .esriCTLocalSearchLabel
{
    margin-left: 22px;
    width: 24%;
    min-width: 146px;
}
.jimu-widget-nearme-setting .esriCTLocalSearchRadiusUnit
{
    line-height: 30px;
    float: right;
}

 .jimu-widget-nearme-setting .esriCTSearchSourceLabelFont
 {
    font-size: 14px;
    color: #596679;
 }

.jimu-widget-nearme-setting .esriCTLayerSource
{
    width: 80% !important;
}

.jimu-widget-nearme-setting .esriCTsearchFieldsSelector
{
  display: inline-block;
  margin: 6px 0;
  width: 18px;
  height: 18px;
  cursor: pointer;
  background: url(../images/selector.png) no-repeat center;

}

.jimu-widget-nearme-setting .esriCTSearchSourceURLField
{
    width: 76%;
    float: left;
}

.jimu-widget-nearme-setting .esriCTSearchSourceLayer
{
    width: 84% !important;
}

.jimu-widget-nearme-setting .esriCTURLWidthLabel
{
    width: 145px;
    min-width: 145px;
}

.jimu-widget-nearme-setting .esriCTSearchDetailsSection
{
    width: 175px;
}

.jimu-widget-nearme-setting .esriCTGeneralSettingLabelStyle
{
    font-weight: bold;
}

.jimu-widget-nearme-query-source-setting .esriCTSearchSourceFieldCheckbox
{
    width: 167px;
    margin-bottom: 20px;
    color: #596679;
    font-size: 14px;
    margin-left: 30px;
}

.jimu-widget-nearme-query-source-setting .esriCTSearchSourceFieldCheckbox .label
{
    width: 140px;
}

.jimu-widget-nearme-setting .esriCTErrorMessage
{
    color: #e84b4b;
}

/*------------------------Search Source-----------------------------------------*/

/*------------------------Symbology setting-----------------------------------------*/

.jimu-widget-nearme-setting .esriCTAddSymbologyBtn {
    display: inline-block;
    overflow: hidden;
    height: 20px;
    cursor: pointer;
    font-size: 13px;
    color: #538ec8;
    margin-top: 10px;
}

.jimu-widget-nearme-setting .esriCTAddSymbologyIcon {
    height: 100%;
    width: 14px;
    background-repeat: no-repeat;
    background-position: center center;
    background-image: url(../images/add_icon.png);
    display: inline-block;
    vertical-align: top;
}

.jimu-widget-nearme-setting .esriCTAddSymbologyLabel {
    line-height: 20px;
}

jimu-widget-nearme-setting-symbology .esriCTDropDownContainer {
    width: 75%;
    float: right;
}

/*Hide scroll bar of simple table*/
.jimu-widget-nearme-setting .jimu-simple-table .body-section{
overflow-y: hidden;
}

.jimu-widget-nearme-setting .esriCTLayerNameDropdown .dijitSelectLabel {
    text-align: left;
    overflow: hidden;
    width: 213px;
}

.jimu-widget-nearme-setting .esriCTLayerFieldDropDown .dijitSelectLabel {
    text-align: left;
    overflow: hidden;
    width: 165px;
}

.jimu-widget-nearme-setting .esriCTLayerValuedDropDown .dijitSelectLabel {
    text-align: left;
    overflow: hidden;
    width: 115px;
}

.jimu-widget-nearme-setting-symbology .esriCTAddLayerTableNode {
    padding-bottom: 10px;
}
.jimu-widget-nearme-setting-symbology .esriCTAddLayerTableNode .jimu-simple-table .body-section {
    top: 37px;
}
.claro .jimu-widget-nearme-setting-symbology .esriCTAddLayerTableNode .dijitSelect {
    height: 26px;
    min-width: 100%;
    margin-top: -4px;
}
.claro .jimu-widget-nearme-setting-symbology .esriCTAddLayerTableNode .dijitTextBox {
    width: 100%;
    height: 26px;
    margin-top: -4px;
}
/*------------------------End Symbology setting-----------------------------------------*/

/**-------------------End of styles for config panel ---------------------**/
/*start CSS override for RTL*/

.esriRtl .jimu-widget-nearme-setting .esriCTColorPickerNode
{
    float: right;
    margin: 0 0px 0 10px;
}

.esriRtl .jimu-widget-nearme-setting .esriCTHint
{
    margin: 5px 5px 10px 0px;
    float: right;
}

.esriRtl .jimu-widget-nearme-setting .esriCTLayerField
{
    float: right;
}

.esriRtl .jimu-widget-nearme-setting .esriCTPreviewHintField
{
    margin-right: 10px;
}

.esriRtl .jimu-widget-nearme-setting .esriCTlabel
{
    padding: 5px 0px 5px 10px;
    float: right;
}

.esriRtl .jimu-widget-nearme-setting .esriCTSelectedLayersDiv
{
    float: right;
    margin-left: 10px;
    margin-right: 0px;
}

.esriRtl .jimu-widget-nearme-setting .esriCTPreviewField
{
    float: right;
}

.esriRtl .jimu-widget-nearme-setting .esriCTGeometryTypeIcon
{
    float: right;
}

.esriRtl .jimu-widget-nearme-setting .esriCTSetRouteURL
{
    float: right;
    margin: 0;
}

.esriRtl .jimu-widget-nearme-setting .esriCTURLSetButton
{
    float: left;
    margin: 0;
}

.esriRtl .jimu-widget-nearme-setting .esriCTSymbolPreviewField
{
    float: right;
}

.esriRtl .jimu-widget-nearme-setting .esriCTSymbolPreviewText
{
    padding: 0 0 0 5px;
}

.esriRtl .jimu-widget-nearme-setting .esriCTAddLayerButton
{
    float: left;
}

.esriRtl .jimu-widget-nearme-setting .esriCTServiceLable
{
    float: right;
}

.esriRtl .jimu-widget-nearme-setting .esriCTSetServiceURL
{
    float: right;
}

.esriRtl .jimu-widget-nearme-setting .esriCTSymbolPreviewHintField
{
    float: left;
    margin-right: 5px;
    margin-left: 0px;
}

.esriRtl .jimu-widget-nearme-setting .esriCTCheckBox
{
    float: right;
    margin-left: 10px;
    margin-right: 0px;
}

.esriRtl .jimu-widget-nearme-setting .esriCTFloatLeading
{
    margin-left: 10px;
    margin-right: 0px;
}

.esriRtl .jimu-widget-nearme-setting .esriCTLocalSearchLabel
{
    margin-right: 22px;
    margin-left: 0px;
}

.esriRtl .jimu-widget-nearme-setting .esriCTLocalSearchRadiusUnit
{
    float: left;
}

.esriRtl .jimu-widget-nearme-setting .esriCTDropdownButton
{
    padding-right: 16px;
    background: url(../images/add_icon.png) no-repeat right;
}

.esriRtl .jimu-widget-nearme-setting .esriCTSearchSourceURLField
{
    float: right;
}

.esriRtl .jimu-widget-nearme-setting .esriCTAddressLocationSymbolPreviewHint
{
    float: left;
    width: 55%;
}

.esriRtl .jimu-widget-nearme-setting .esriCTLayerContainer
{
   padding-right: 5px;
}

.esriRtl .jimu-widget-nearme-setting .esriCTLayerList
{
   padding-right: 5px;
}

.esriRtl .jimu-widget-nearme-setting .esriCTDirectionTabNode .esriCTHintInlineEnableDirection
{
    margin-top: 13px;
}

.esriRtl .jimu-widget-nearme-setting .esriCTFontColorLabelHint
{
    width: calc(100% - 60px);
}

/*Start CSS Override for browser applied styles*/

/*Hide clear button from textboxes which is shown only in IE*/
input[type=text]::-ms-clear
{
    display: none;
}

/*end CSS Override for browser applied styles*/

.jimu-widget-nearme-singlefilter-setting
{
    height: 100%;
}

.esriRtl .jimu-widget-nearme-singlefilter-setting
{
    margin: 0 10px;
}

.jimu-widget-nearme-singlefilter-setting > div .filter-div{
  height: calc(100% - 20px);
}

.jimu-widget-nearme-setting .esriCTBufferDistanceSliderRadioButton
{
   float: left;
   margin: 5px 0px 5px 20px;
}

.esriRtl .jimu-widget-nearme-setting .esriCTBufferDistanceSliderRadioButton
{
    float: right;
    margin: 5px 20px 5px 0px;
}

.jimu-widget-nearme-setting .esriCTRBLabel
{
   
    word-break: break-word;
    margin-bottom: 15px;
    float: left;
    font-size: 14px;
    color: #596679;
    margin: 5px 0px 10px 5px;
}

.esriRtl .jimu-widget-nearme-setting .esriCTRBLabel
{
    float: right;
    margin: 5px 5px 10px 0px;
}


.jimu-widget-nearme-setting .esriCTFieldSet
{
    height: auto;
    width: 99%;
    border: 1px solid #a0acbf;
    border-radius: 5px;
    font-size: 14px;
    color: #596679;
    margin-bottom: 16px;
    min-width: 0px;
}

.jimu-widget-nearme-setting .esriCTFieldSetLegend
{
    margin-left: 20px;
    margin-bottom: 5px;
}

.esriRtl .jimu-widget-nearme-setting .esriCTFieldSetLegend
{
    margin-right: 20px;
}

